% Binary Tomography Reconstructions With Simulated Annealing
% SSIP 2008

tic % take time

% Parameters:
loud=1;   % Verbosive run. I.e. show partial results.
video=0;
NITER=100000; % Number of iterations (maximum). The script stops as soon as the error is zero.
%testimage;   % img= Choose the image to work on
NOISE=0; % Ad noise to the projections

%img=imread('testimage_eyes.bmp');
%img=imread('testimage_munk.bmp');
img=imread('cross_rot.bmp');

%angles:
%2
%proj_angles=[0 90]; % Projection angles (NOT IMPLEMENTED!)
%3
%proj_angles=[0 90 45]; % Projection angles (NOT IMPLEMENTED!)
%4
proj_angles=[0 90 45 (180-45)]; % Projection angles (NOT IMPLEMENTED!)

%Simulated annealing
initial_temperature=2;

% The temperature function is in bsm_newTemp.m
% The Objective function is in bsm_ObjectiveFunction.m

if exist('out_image')
    initial_guess=out_image;
else
    initial_guess=0;
end
% Call the main function
[out_image error]=bsm_main(NITER, img, proj_angles, loud, video, initial_temperature, initial_guess, NOISE);
toc